Loading...
Searching...
No Matches
driver.c File Reference

GRASS cairo display driver - driver initialization. More...

`#include "cairodriver.h"`
Include dependency graph for cairodriver/driver.c:

Go to the source code of this file.

## Functions

const struct driver * | Cairo_Driver (void)
| Initialize display driver.

## Detailed Description

GRASS cairo display driver - driver initialization.

(C) 2007-2014 by Lars Ahlzen and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Lars Ahlzen <lars ahlzen.com> (original contributor)
  Glynn Clements

Definition in file cairodriver/driver.c.

## Function Documentation

## Cairo_Driver()

const struct driver * Cairo_Driver | ( | void |  | ) |

Initialize display driver.

Returns
  pointer driver structure

Definition at line 22 of file cairodriver/driver.c.

References driver::Begin, driver::Begin_raster, driver::Bitmap, driver::Box, Cairo_Begin(), Cairo_begin_raster(), Cairo_Bitmap(), Cairo_Box(), Cairo_Close(), Cairo_Color(), Cairo_Cont(), Cairo_end_raster(), Cairo_Erase(), Cairo_Fill(), Cairo_font_info(), Cairo_font_list(), Cairo_Graph_close(), Cairo_Graph_get_file(), Cairo_Graph_set(), Cairo_Line_width(), Cairo_Move(), Cairo_Point(), Cairo_raster(), Cairo_set_font(), Cairo_Set_window(), Cairo_Stroke(), Cairo_Text(), Cairo_text_box(), driver::Close, driver::Color, driver::Cont, driver::End_raster, driver::Erase, driver::Fill, driver::Font_info, driver::Font_list, driver::Graph_close, driver::Graph_get_file, driver::Graph_set, driver::Line_width, driver::Move, driver::name, driver::Point, driver::Raster, driver::Set_font, driver::Set_window, driver::Stroke, driver::Text, and driver::Text_box.